Bug 178932

Summary: Review Request: AutoScan - A utility for network exploration
Product: [Fedora] Fedora Reporter: thierry <thierry>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: imlinux, matthias, panemade, somlo, ToddAndMargo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-30 02:09:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description thierry 2006-01-25 11:13:09 EST
Spec Name or Url: 
SRPM Name or Url: http://prdownloads.sourceforge.net/autoscan/AutoScan-0.98.0b-Fedora-Core4.src.rpm?download
Description: (http://autoscan.free.fr) AutoScan is an application designed to explore and manage your network. Entire subnets can be scanned simultaneously without human intervention. It features OS detection, automatic network discovery, a port scanner, a Nessus client, a Samba share browser, and the ability to save the network state.
Comment 1 Gabriel Somlo 2006-01-25 13:33:40 EST
You should probably include a direct url for the spec file in addition to the
src.rpm.

You're mixing $RPM_BUILD_ROOT and %{buildroot}. Either is fine, but pick one and
be consistent.

You should probably not install doc/AutoScan/* into %{buildroot} during %install,
but rather just mention it using '%doc Data/doc/Autoscan' in the %files section.

Zooming out to the bigger picture, you probably want separate subpackages for
AutoScan_Agent (at least if it's supposed to run independently of, and
comunicate with, the main system).

you should also add a %changelog section at the end, and document revisions to
your .spec file in there.

There's probably more, but this should get you started...
Comment 2 thierry 2006-01-25 15:36:32 EST
Spec Name or Url: http://autoscan.free.fr/Fedora/AutoScan.spec
Comment 3 Mike McGrath 2006-02-13 16:26:31 EST
-Don't use %define name and %define version.  Just define them under Name: and
Version:
-Provide a working full URL for the Source: file
-Increment the revision number every time you submit a change (even to bugzilla)
Comment 5 Matthias Saou 2006-03-29 07:51:16 EST
This package is going to need a lot of work to get into shape!
First think, I'll take the ownership of libzvt as it's been removed from Extras
in FC5 because of the lack of a maintainer.
Next, as the upstream author, could you comment on the file structure in the
sources and the build steps required? Why not simply provide the tarball with
the sources in the root, the typical autotools stuff in place, with a configure
script already generated?
Comment 6 Matthias Saou 2006-03-29 08:45:22 EST
Actually, libzvt seems pretty much dead, and libzvt.so.2 is included in
gnome-libs, but gnome-libs-devel doesn't have libzvt/libzvt.h, so this seems to
be a problem.
Next, as the upstream author, there are many things that could use fixing at a
first glance : the autogen.sh step doesn't properly check for libao, libvorbis
nor samba libs/headers, and the following make fails miserably.
I would really recommend you clean up the autotools/configure stuff you ship.
Comment 7 Parag AN(पराग) 2006-06-02 02:14:11 EDT
rpmlint gives me following output
W: AutoScan summary-ended-with-dot Utility for network exploration (Samba,Nessus
client).
E: AutoScan description-line-too-long AutoScan is an application designed to
explore and to manage your network. Entire subnets can be scanned simultaneously
without human intervention. It features OS detection, automatic network
discovery, a port scanner, a Samba share browser, and the ability to save the
network state.
W: AutoScan non-standard-group Networking/Other
W: AutoScan invalid-license GNU General Public License (GPL)
W: AutoScan non-coherent-filename AutoScan-0.99-0.Fedora.src.rpm
W: AutoScan strange-permission AutoScan.spec 0744
E: AutoScan hardcoded-library-path in %{buildroot}/usr/lib/menu/
Comment 8 Jason Tibbitts 2006-08-18 20:57:32 EDT
I will close this bug in one week if there is no response from the package
submitter.